
stages:
  - s1
  - s2
  - s3

.jobdefault:
    tags:
        - wonderful
        - great
    script:
        - sleep 5
        - echo $CI_JOB_NAME    

j1:
    stage: s1
    extends: .jobdefault

j2:
    stage: s1
    extends: .jobdefault

j3:
    stage: s1
    extends: .jobdefault

j4:
    stage: s2
    extends: .jobdefault

j5:
    stage: s2
    extends: .jobdefault

j6:
    stage: s2
    extends: .jobdefault

j7:
    stage: s3
    extends: .jobdefault

j8:
    stage: s3
    extends: .jobdefault

j9:
    stage: s3
    extends: .jobdefault


